> For the complete documentation index, see [llms.txt](https://docs.prismacloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.prismacloud.io/admin-guide/33/install/deploy-console/console-on-ack.md).

# Deploy the Prisma Cloud Console on ACK

[Alibaba Cloud Container Service for Kubernetes (ACK)](https://www.alibabacloud.com/product/kubernetes) is a managed Kubernetes service. Use the standard Kubernetes install procedure to deploy Prisma Cloud to Alibaba ACK, but specify an Alibaba Cloud-specific StorageClass when configuring the deployment.

This procedure shows you how to use Helm charts to install Prisma Cloud, but all other install methods are supported.

**Prerequisites**

* You have provisioned an ACK cluster.

1. Download the release tarball to the system where you administer your cluster (where you run your kubectl commands).

   ```bash
     $ wget <LINK_TO_CURRENT_RECOMMENDED_RELEASE_LINK>
   ```
2. Unpack the Prisma Cloud release tarball.

   ```bash
     $ mkdir twistlock
     $ tar xvzf twistlock_<VERSION>.tar.gz -C prisma_cloud/
   ```
3. Create a Helm chart for Prisma Cloud Console.

   ```yaml
     $ <PLATFORM>/twistcli console export kubernetes \
       --storage-class <alicloud-StorageClass> \
       --service-type LoadBalancer \
       --helm
   ```

   (Use a valid Alibaba Cloud StorageClass for `<alicloud-StorageClass>`. For more information, see the Alibaba Cloud documentation for [StorageClass](https://www.alibabacloud.com/help/en/ack/ack-managed-and-ack-dedicated/user-guide/use-dynamically-provisioned-disk-volumes#a7d035fc3cijx).)
4. Install Console.

   ```bash
     $ helm install twistlock-console \
       --namespace twistlock \
       ./twistlock-console-helm.tar.gz
   ```
5. Change the PersistentVolumeClaim’s reclaimPolicy.

   ```bash
     $ kubectl get pv
     $ kubectl patch pv <pvc-name> -p '{"spec":{"persistentVolumeReclaimPolicy":"Retain"}}'
   ```
6. Get the public endpoint address for Console. When the service is fully up, the LoadBalancer’s IP address is shown.

   ```bash
     $ kubectl get service -w -n twistlock
   ```
7. Open a browser window, and navigate to Console. By default, Console is served on HTTPS on port 8083 of the `LoadBalancer`:

   ```bash
   https://<LOADBALANCER_IP_ADDR>:8083
   ```
8. Configure the console as described in [Configure the Prisma Cloud Console](/admin-guide/33/install/deploy-console/console-on-kubernetes.md#configure-console-k8s).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.prismacloud.io/admin-guide/33/install/deploy-console/console-on-ack.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
